MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001898VCMIMechanics - Objectspublic2014-09-23 21:172016-11-30 08:01
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.96 
Target VersionFixed in Version0.99 
Summary0001898: Admiral hat, sea captains hat - no magic spells in the book, if the hero is no book of magic
Descriptionspells: "summon boat", "scuttle boat"
TagsNo tags attached.
Attached Files? file icon _TEST_ARTIFACTS.h3m [^] (9,038 bytes) 2014-12-24 18:57

- Relationships
related to 0000482resolvedAVS Tome of Magic without spell book. 
related to 0002155resolvedAVS A hero without spellbook can't use spell scrolls 

-  Notes
(0004994)
Warmonger (administrator)
2014-09-30 14:40

How do they work and how should they work?

As far as I remember, hero without spellbook can't cast ANY spells. The only exception is Titan's Thunder effect.
(0004995)
Povelitel (updater)
2014-09-30 15:37

Even if the hero is no book, these spells should appear. When he would put these artifacts
(0005267)
SXX (administrator)
2014-12-24 18:57
edited on: 2014-12-24 18:58

So I'm checked this in H3 and here is following behaviours:
 - All artifacts that give spells let you cast them on adventure map without spellbook: Spell Scroll, Tome of *, Spellbinder's Hat, etc.
 - Though none of them let you cast spells in battle without spellbook.

Also attach small map I using for testing.

(0006793)
AVS (administrator)
2016-10-01 14:23

fixed in https://github.com/vcmi/vcmi/commit/799b8519e08aa84818175a5fcc534f19cf78f5dd [^]

- Issue History
Date Modified Username Field Change
2014-09-23 21:17 Povelitel New Issue
2014-09-23 21:17 Povelitel Status new => assigned
2014-09-23 21:17 Povelitel Assigned To => Warmonger
2014-09-30 14:40 Warmonger Note Added: 0004994
2014-09-30 15:37 Povelitel Note Added: 0004995
2014-12-24 18:57 SXX Note Added: 0005267
2014-12-24 18:57 SXX File Added: _TEST_ARTIFACTS.h3m
2014-12-24 18:58 SXX Note Edited: 0005267 View Revisions
2015-02-15 07:06 SXX Relationship added related to 0000482
2015-04-02 05:09 SXX Relationship added related to 0002155
2016-10-01 14:03 AVS Assigned To Warmonger => AVS
2016-10-01 14:23 AVS Note Added: 0006793
2016-10-01 14:23 AVS Status assigned => resolved
2016-10-01 14:23 AVS Fixed in Version => 0.99
2016-10-01 14:23 AVS Resolution open => fixed
2016-11-30 08:01 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean